<Type Name="Cache" FullName="System.Web.Caching.Cache">
  <TypeSignature Language="C#" Value="public sealed class Cache : IEnumerable" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Web</AssemblyName>
    <AssemblyPublicKey>
    </AssemblyPublicKey>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Web.UI.TagPrefixAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.Collections.IEnumerable</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes>
    <Attribute>
      <AttributeName>System.Reflection.DefaultMemberAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="NoAbsoluteExpiration">
      <MemberSignature Language="C#" Value="public static DateTime NoAbsoluteExpiration;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.DateTime</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NoSlidingExpiration">
      <MemberSignature Language="C#" Value="public static TimeSpan NoSlidingExpiration;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.TimeSpan</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public Cache ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'Cache'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Count">
      <MemberSignature Language="C#" Value="public int Count { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Item">
      <MemberSignature Language="C#" Value="public object Item { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="key" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="key">To be added: an object of type 'string'</param>
        <param name="value">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'object'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Get">
      <MemberSignature Language="C#" Value="public object Get (string strKey);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="strKey" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="strKey">a <see cref="T:System.String" /></param>
        <returns>a <see cref="T:System.Object" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Remove">
      <MemberSignature Language="C#" Value="public object Remove (string strKey);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="strKey" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="strKey">a <see cref="T:System.String" /></param>
        <returns>a <see cref="T:System.Object" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Insert">
      <MemberSignature Language="C#" Value="public void Insert (string strKey, object objItem, CacheDependency objDependency, DateTime absolutExpiration, TimeSpan slidingExpiration, CacheItemPriority enumPriority, CacheItemRemovedCallback eventRemoveCallback);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="strKey" Type="System.String" />
        <Parameter Name="objItem" Type="System.Object" />
        <Parameter Name="objDependency" Type="System.Web.Caching.CacheDependency" />
        <Parameter Name="absolutExpiration" Type="System.DateTime" />
        <Parameter Name="slidingExpiration" Type="System.TimeSpan" />
        <Parameter Name="enumPriority" Type="System.Web.Caching.CacheItemPriority" />
        <Parameter Name="eventRemoveCallback" Type="System.Web.Caching.CacheItemRemovedCallback" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="strKey">a <see cref="T:System.String" /></param>
        <param name="objItem">a <see cref="T:System.Object" /></param>
        <param name="objDependency">a <see cref="T:System.Web.Caching.CacheDependency" /></param>
        <param name="absolutExpiration">a <see cref="T:System.DateTime" /></param>
        <param name="slidingExpiration">a <see cref="T:System.TimeSpan" /></param>
        <param name="enumPriority">a <see cref="T:System.Web.Caching.CacheItemPriority" /></param>
        <param name="eventRemoveCallback">a <see cref="T:System.Web.Caching.CacheItemRemovedCallback" /></param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Insert">
      <MemberSignature Language="C#" Value="public void Insert (string strKey, object objItem, CacheDependency objDependency, DateTime absolutExpiration, TimeSpan slidingExpiration);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="strKey" Type="System.String" />
        <Parameter Name="objItem" Type="System.Object" />
        <Parameter Name="objDependency" Type="System.Web.Caching.CacheDependency" />
        <Parameter Name="absolutExpiration" Type="System.DateTime" />
        <Parameter Name="slidingExpiration" Type="System.TimeSpan" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="strKey">a <see cref="T:System.String" /></param>
        <param name="objItem">a <see cref="T:System.Object" /></param>
        <param name="objDependency">a <see cref="T:System.Web.Caching.CacheDependency" /></param>
        <param name="absolutExpiration">a <see cref="T:System.DateTime" /></param>
        <param name="slidingExpiration">a <see cref="T:System.TimeSpan" /></param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Insert">
      <MemberSignature Language="C#" Value="public void Insert (string strKey, object objItem, CacheDependency objDependency);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="strKey" Type="System.String" />
        <Parameter Name="objItem" Type="System.Object" />
        <Parameter Name="objDependency" Type="System.Web.Caching.CacheDependency" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="strKey">a <see cref="T:System.String" /></param>
        <param name="objItem">a <see cref="T:System.Object" /></param>
        <param name="objDependency">a <see cref="T:System.Web.Caching.CacheDependency" /></param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Insert">
      <MemberSignature Language="C#" Value="public void Insert (string strKey, object objItem);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="strKey" Type="System.String" />
        <Parameter Name="objItem" Type="System.Object" />
      </Parameters>
      <Docs>
        <summary>Inserts the <see paramref="objItem"/> item into the cache. </summary>
        <param name="strKey">a <see cref="T:System.String" /></param>
        <param name="objItem">a <see cref="T:System.Object" /></param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Add">
      <MemberSignature Language="C#" Value="public object Add (string strKey, object objItem, CacheDependency objDependency, DateTime absolutExpiration, TimeSpan slidingExpiration, CacheItemPriority enumPriority, CacheItemRemovedCallback eventRemoveCallback);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="strKey" Type="System.String" />
        <Parameter Name="objItem" Type="System.Object" />
        <Parameter Name="objDependency" Type="System.Web.Caching.CacheDependency" />
        <Parameter Name="absolutExpiration" Type="System.DateTime" />
        <Parameter Name="slidingExpiration" Type="System.TimeSpan" />
        <Parameter Name="enumPriority" Type="System.Web.Caching.CacheItemPriority" />
        <Parameter Name="eventRemoveCallback" Type="System.Web.Caching.CacheItemRemovedCallback" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="strKey">a <see cref="T:System.String" /></param>
        <param name="objItem">a <see cref="T:System.Object" /></param>
        <param name="objDependency">a <see cref="T:System.Web.Caching.CacheDependency" /></param>
        <param name="absolutExpiration">a <see cref="T:System.DateTime" /></param>
        <param name="slidingExpiration">a <see cref="T:System.TimeSpan" /></param>
        <param name="enumPriority">a <see cref="T:System.Web.Caching.CacheItemPriority" /></param>
        <param name="eventRemoveCallback">a <see cref="T:System.Web.Caching.CacheItemRemovedCallback" /></param>
        <returns>a <see cref="T:System.Object" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEnumerator">
      <MemberSignature Language="C#" Value="public System.Collections.IDictionaryEnumerator GetEnumerator ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.IDictionaryEnumerator</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.Collections.IDictionaryEnumerator" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
